Results 1 to 6 of 6

Thread: KPackageKit Internal System Error

  1. #1
    Just burned his ISO
    Join Date
    Mar 2011
    Posts
    1

    Default KPackageKit Internal System Error

    I was trying to update my pachages and got the following error. It asked me to post in the BUGS forum so here you go

    Error Type:
    Error Value: coercing to Unicode: need string or buffer, exceptions.SystemError found
    File : /usr/share/PackageKit/helpers/apt/aptBackend.py, line 2216, in
    main()
    File : /usr/share/PackageKit/helpers/apt/aptBackend.py, line 2213, in main
    run(args, options.single)
    File : /usr/share/PackageKit/helpers/apt/aptBackend.py, line 2175, in run
    backend.dispatcher(args)
    File : /usr/lib/python2.6/dist-packages/packagekit/backend.py, line 699, in dispatcher
    self.dispatch_command(args[0], args[1:])
    File : /usr/lib/python2.6/dist-packages/packagekit/backend.py, line 606, in dispatch_command
    self.refresh_cache(force)
    File : /usr/share/PackageKit/helpers/apt/aptBackend.py, line 202, in _locked_cache
    func(*args, **kwargs)
    File : /usr/share/PackageKit/helpers/apt/aptBackend.py, line 1498, in refresh_cache
    format_string(error.message))
    File : /usr/lib/python2.6/dist-packages/packagekit/backend.py, line 723, in format_string
    txt = unicode(text, encoding, errors='replace')

  2. #2
    Moderator
    Join Date
    Apr 2007
    Posts
    1,644

    Default Re: KPackageKit Internal System Error

    you should also post the command you issued and not the errors only

  3. #3
    Just burned his ISO
    Join Date
    Jun 2011
    Posts
    2

    Unhappy Re: KPackageKit Internal System Error

    The same error here

    Error Type:
    Error Value: coercing to Unicode: need string or buffer, exceptions.SystemError found
    File : /usr/share/PackageKit/helpers/apt/aptBackend.py, line 2216, in
    main()
    File : /usr/share/PackageKit/helpers/apt/aptBackend.py, line 2213, in main
    run(args, options.single)
    File : /usr/share/PackageKit/helpers/apt/aptBackend.py, line 2175, in run
    backend.dispatcher(args)
    File : /usr/lib/python2.6/dist-packages/packagekit/backend.py, line 699, in dispatcher
    self.dispatch_command(args[0], args[1:])
    File : /usr/lib/python2.6/dist-packages/packagekit/backend.py, line 606, in dispatch_command
    self.refresh_cache(force)
    File : /usr/share/PackageKit/helpers/apt/aptBackend.py, line 202, in _locked_cache
    func(*args, **kwargs)
    File : /usr/share/PackageKit/helpers/apt/aptBackend.py, line 1498, in refresh_cache
    format_string(error.message))
    File : /usr/lib/python2.6/dist-packages/packagekit/backend.py, line 723, in format_string
    txt = unicode(text, encoding, errors='replace')

    This happens when you try to update software with KPackageKit i look the same bug in kubuntu users ...

    KPackageKit version :

    Qt: 4.7.0
    KDE Development Platform: 4.5.3 (KDE 4.5.3)
    KPackageKit: 0.5.4

  4. #4
    Junior Member cr1p70's Avatar
    Join Date
    Jan 2010
    Location
    Inside your network
    Posts
    32

    Default Re: KPackageKit Internal System Error

    dame here just started geting it. today at 9:00pm

    Code:
    Error Type: 
    Error Value: coercing to Unicode: need string or buffer, exceptions.SystemError found
    File : /usr/share/PackageKit/helpers/apt/aptBackend.py, line 2216, in 
    main()
    File : /usr/share/PackageKit/helpers/apt/aptBackend.py, line 2213, in main
    run(args, options.single)
    File : /usr/share/PackageKit/helpers/apt/aptBackend.py, line 2175, in run
    backend.dispatcher(args)
    File : /usr/lib/python2.6/dist-packages/packagekit/backend.py, line 699, in dispatcher
    self.dispatch_command(args[0], args[1:])
    File : /usr/lib/python2.6/dist-packages/packagekit/backend.py, line 606, in dispatch_command
    self.refresh_cache(force)
    File : /usr/share/PackageKit/helpers/apt/aptBackend.py, line 202, in _locked_cache
    func(*args, **kwargs)
    File : /usr/share/PackageKit/helpers/apt/aptBackend.py, line 1498, in refresh_cache
    format_string(error.message))
    File : /usr/lib/python2.6/dist-packages/packagekit/backend.py, line 723, in format_string
    txt = unicode(text, encoding, errors='replace')
    apt-get update is giving me error
    Code:
    apt-get update
    Hit http://64.repository.backtrack-linux.org revolution Release.gpg            
    Ign http://64.repository.backtrack-linux.org/ revolution/main Translation-en_US
    Hit http://all.repository.backtrack-linux.org revolution Release.gpg
    Ign http://all.repository.backtrack-linux.org/ revolution/main Translation-en_US
    Hit http://source.repository.backtrack-linux.org revolution Release.gpg
    Ign http://source.repository.backtrack-linux.org/ revolution/main Translation-en_US
    Ign http://64.repository.backtrack-linux.org/ revolution/microverse Translation-en_US
    Ign http://64.repository.backtrack-linux.org/ revolution/non-free Translation-en_US
    Ign http://64.repository.backtrack-linux.org/ revolution/testing Translation-en_US
    Ign http://source.repository.backtrack-linux.org/ revolution/microverse Translation-en_US
    Ign http://source.repository.backtrack-linux.org/ revolution/non-free Translation-en_US
    Ign http://source.repository.backtrack-linux.org/ revolution/testing Translation-en_US
    Ign http://all.repository.backtrack-linux.org/ revolution/microverse Translation-en_US
    Ign http://all.repository.backtrack-linux.org/ revolution/non-free Translation-en_US
    Ign http://all.repository.backtrack-linux.org/ revolution/testing Translation-en_US
    Hit http://64.repository.backtrack-linux.org revolution Release
    Hit http://source.repository.backtrack-linux.org revolution Release
    Hit http://all.repository.backtrack-linux.org revolution Release
    Ign http://source.repository.backtrack-linux.org revolution/main Packages
    Ign http://all.repository.backtrack-linux.org revolution/main Packages
    Ign http://source.repository.backtrack-linux.org revolution/microverse Packages
    Ign http://source.repository.backtrack-linux.org revolution/non-free Packages
    Ign http://all.repository.backtrack-linux.org revolution/microverse Packages
    Ign http://all.repository.backtrack-linux.org revolution/non-free Packages
    Ign http://source.repository.backtrack-linux.org revolution/testing Packages
    Ign http://all.repository.backtrack-linux.org revolution/testing Packages
    Ign http://source.repository.backtrack-linux.org revolution/main Packages
    Ign http://all.repository.backtrack-linux.org revolution/main Packages
    Ign http://all.repository.backtrack-linux.org revolution/microverse Packages
    Ign http://source.repository.backtrack-linux.org revolution/microverse Packages
    Ign http://all.repository.backtrack-linux.org revolution/non-free Packages
    Ign http://source.repository.backtrack-linux.org revolution/non-free Packages
    Ign http://all.repository.backtrack-linux.org revolution/testing Packages
    Ign http://64.repository.backtrack-linux.org revolution/main Packages
    Ign http://source.repository.backtrack-linux.org revolution/testing Packages
    Err http://source.repository.backtrack-linux.org revolution/main Packages
      404  Not Found
    Err http://all.repository.backtrack-linux.org revolution/main Packages
      404  Not Found
    Err http://all.repository.backtrack-linux.org revolution/microverse Packages
      404  Not Found
    Ign http://64.repository.backtrack-linux.org revolution/microverse Packages
    Ign http://64.repository.backtrack-linux.org revolution/non-free Packages
    Err http://source.repository.backtrack-linux.org revolution/microverse Packages
      404  Not Found
    Err http://all.repository.backtrack-linux.org revolution/non-free Packages
      404  Not Found
    Ign http://64.repository.backtrack-linux.org revolution/testing Packages
    Ign http://64.repository.backtrack-linux.org revolution/main Packages
    Ign http://64.repository.backtrack-linux.org revolution/microverse Packages
    Err http://source.repository.backtrack-linux.org revolution/non-free Packages
      404  Not Found
    Err http://source.repository.backtrack-linux.org revolution/testing Packages
      404  Not Found
    Err http://all.repository.backtrack-linux.org revolution/testing Packages
      404  Not Found
    Ign http://64.repository.backtrack-linux.org revolution/non-free Packages
    Ign http://64.repository.backtrack-linux.org revolution/testing Packages
    Hit http://64.repository.backtrack-linux.org revolution/main Packages
    Hit http://64.repository.backtrack-linux.org revolution/microverse Packages
    Hit http://64.repository.backtrack-linux.org revolution/non-free Packages
    Hit http://64.repository.backtrack-linux.org revolution/testing Packages
    W: Failed to fetch http://source.repository.backtrack-linux.org/dists/revolution/main/binary-amd64/Packages.gz  404  Not Found
    
    W: Failed to fetch http://all.repository.backtrack-linux.org/dists/revolution/main/binary-amd64/Packages.gz  404  Not Found
    
    W: Failed to fetch http://all.repository.backtrack-linux.org/dists/revolution/microverse/binary-amd64/Packages.gz  404  Not Found
    
    W: Failed to fetch http://source.repository.backtrack-linux.org/dists/revolution/microverse/binary-amd64/Packages.gz  404  Not Found
    
    W: Failed to fetch http://all.repository.backtrack-linux.org/dists/revolution/non-free/binary-amd64/Packages.gz  404  Not Found
    
    W: Failed to fetch http://source.repository.backtrack-linux.org/dists/revolution/non-free/binary-amd64/Packages.gz  404  Not Found
    
    W: Failed to fetch http://all.repository.backtrack-linux.org/dists/revolution/testing/binary-amd64/Packages.gz  404  Not Found
    
    W: Failed to fetch http://source.repository.backtrack-linux.org/dists/revolution/testing/binary-amd64/Packages.gz  404  Not Found
    
    E: Some index files failed to download, they have been ignored, or old ones used instead.
    Im connected to internet.
    everything was fine before work now have clue?
    Last edited by cr1p70; 06-22-2011 at 05:09 AM.

  5. #5
    Senior Member
    Join Date
    Jan 2011
    Location
    over the under
    Posts
    197

    Default Re: KPackageKit Internal System Error

    I get the same error as cr1p70 with apt-get update on gnome 64 installed to hdd

  6. #6
    Just burned his ISO
    Join Date
    Jun 2011
    Posts
    2

    Default Re: KPackageKit Internal System Error

    I've been getting 404's on the repositories ever since I installed BT5 (kde 64bit).

Similar Threads

  1. Bug in KPackageKit when refreshing sources
    By James2k in forum BackTrack 5 Bugs
    Replies: 1
    Last Post: 06-06-2011, 10:47 AM
  2. CRC Error, System Halted
    By Plato in forum OLD Newbie Area
    Replies: 1
    Last Post: 12-15-2009, 12:49 PM
  3. No Operating system found error
    By deb0and in forum OLD Newbie Area
    Replies: 5
    Last Post: 10-26-2009, 04:21 AM
  4. internal error....
    By Jlesaistu in forum OLD LiveCD Support
    Replies: 0
    Last Post: 05-26-2008, 04:02 PM
  5. [Error Loading operation system]
    By Natty Dreed in forum OLD Newbie Area
    Replies: 3
    Last Post: 10-02-2007, 07:13 AM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •